Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel.charts
Class XSSFChartLegend

    java.lang.Object
      org.apache.poi.xssf.usermodel.charts.XSSFChartLegend

All Implemented Interfaces:
  org.apache.poi.ss.usermodel.charts.ChartLegend, org.apache.poi.ss.usermodel.charts.ManuallyPositionable

    public final class XSSFChartLegend

extends java.lang.Object
implements org.apache.poi.ss.usermodel.charts.ChartLegend

Represents a SpreadsheetML chart legend

Author:
  Roman Kashitsyn

Constructor Summary
`XSSFChartLegend(XSSFChart chart)` Create a new SpreadsheetML chart legend

Method Summary
`org.openxmlformats.schemas.drawingml.x2006.chart.CTLegend` | `getCTLegend()` Return the underlying CTLegend bean.
`org.apache.poi.ss.usermodel.charts.ManualLayout` | `getManualLayout()`
`org.apache.poi.ss.usermodel.charts.LegendPosition` | `getPosition()`
`void` | `setPosition(org.apache.poi.ss.usermodel.charts.LegendPosition position)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSSFChartLegend

    public XSSFChartLegend(XSSFChart chart)

  Create a new SpreadsheetML chart legend

Method Detail

### getCTLegend

    public org.openxmlformats.schemas.drawingml.x2006.chart.CTLegend getCTLegend()

  Return the underlying CTLegend bean.

  Returns:
    the underlying CTLegend bean

### setPosition

    public void setPosition(org.apache.poi.ss.usermodel.charts.LegendPosition position)

  Specified by:
    `setPosition` in interface `org.apache.poi.ss.usermodel.charts.ChartLegend`

### getPosition

    public org.apache.poi.ss.usermodel.charts.LegendPosition getPosition()

  Specified by:
    `getPosition` in interface `org.apache.poi.ss.usermodel.charts.ChartLegend`

### getManualLayout

    public org.apache.poi.ss.usermodel.charts.ManualLayout getManualLayout()

  Specified by:
    `getManualLayout` in interface `org.apache.poi.ss.usermodel.charts.ManuallyPositionable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD